| Bsoft 1.9 Bernard's software package

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | List of all members
RGBA< Type > Class Template Reference

`#include <Color.h>`

## Public Member Functions
| RGBA ()
| RGBA (const RGBA &c)
| RGBA (const double d[4])
| RGBA (const double rr, const double gg, const double bb)
| RGBA (const double rr, const double gg, const double bb, const double aa)
RGBA | operator= (const RGBA &c)
template<typename T2 >
RGBA | operator= (RGB< T2 > &c)
template<typename T2 >
| operator RGBA< T2 > () const
RGBA | operator+ (const RGBA &c)
RGBA | operator/ (const double d)
| RGBA (RGB< Type > &c)
| RGBA (CMYK< Type > &cmyk)
Type & | operator[] (const unsigned int i)
Type | r ()
Type | g ()
Type | b ()
Type | a ()
void | red ()
| RGBA (Bstring &hex)
Bstring | hex ()
void | spectrum (double value, double cmin, double cmax)

## Detailed Description

### template<typename Type>
class RGBA< Type >

Definition at line 11 of file Color.h.

## Constructor & Destructor Documentation

template<typename Type>

RGBA< Type >::RGBA | ( |  | ) |
| inline

Definition at line 155 of file Color.h.

template<typename Type>

RGBA< Type >::RGBA | ( | const RGBA< Type > & | c | ) |
| inline

Definition at line 156 of file Color.h.

template<typename Type>

RGBA< Type >::RGBA | ( | const double | d[4] | ) |
| inline

Definition at line 157 of file Color.h.

template<typename Type>

RGBA< Type >::RGBA | ( | const double | rr,
|  | const double | gg,
|  | const double | bb
| ) |  |
| inline

Definition at line 162 of file Color.h.

template<typename Type>

RGBA< Type >::RGBA | ( | const double | rr,
|  | const double | gg,
|  | const double | bb,
|  | const double | aa
| ) |  |
| inline

Definition at line 164 of file Color.h.

template<typename Type>

RGBA< Type >::RGBA | ( | RGB< Type > & | c | ) |
| inline

Definition at line 181 of file Color.h.

template<typename Type>

RGBA< Type >::RGBA | ( | CMYK< Type > & | cmyk | ) |
| inline

Definition at line 182 of file Color.h.

template<typename Type>

RGBA< Type >::RGBA | ( | Bstring & | hex | ) |
| inline

Definition at line 195 of file Color.h.

## Member Function Documentation

template<typename Type>

Type RGBA< Type >::a | ( |  | ) |
| inline

Definition at line 193 of file Color.h.

template<typename Type>

Type RGBA< Type >::b | ( |  | ) |
| inline

Definition at line 192 of file Color.h.

template<typename Type>

Type RGBA< Type >::g | ( |  | ) |
| inline

Definition at line 191 of file Color.h.

template<typename Type>

Bstring RGBA< Type >::hex | ( |  | ) |
| inline

Definition at line 204 of file Color.h.

template<typename Type>
template<typename T2 >

RGBA< Type >::operator RGBA< T2 > | ( |  | ) | const
| inline

Definition at line 172 of file Color.h.

template<typename Type>

RGBA RGBA< Type >::operator+ | ( | const RGBA< Type > & | c | ) |
| inline

Definition at line 175 of file Color.h.

template<typename Type>

RGBA RGBA< Type >::operator/ | ( | const double | d | ) |
| inline

Definition at line 178 of file Color.h.

template<typename Type>

RGBA RGBA< Type >::operator= | ( | const RGBA< Type > & | c | ) |
| inline

Definition at line 166 of file Color.h.

template<typename Type>
template<typename T2 >

RGBA RGBA< Type >::operator= | ( | RGB< T2 > & | c | ) |
| inline

Definition at line 169 of file Color.h.

template<typename Type>

Type& RGBA< Type >::operator[] | ( | const unsigned int | i | ) |
| inline

Definition at line 186 of file Color.h.

template<typename Type>

Type RGBA< Type >::r | ( |  | ) |
| inline

Definition at line 190 of file Color.h.

template<typename Type>

void RGBA< Type >::red | ( |  | ) |
| inline

Definition at line 194 of file Color.h.

template<typename Type>

void RGBA< Type >::spectrum | ( | double | value,
|  | double | cmin,
|  | double | cmax
| ) |  |
| inline

Definition at line 211 of file Color.h.

The documentation for this class was generated from the following file:

- /usr/local/bsoft/include/Color.h